import { createApp } from 'vue'
import '@/assets/main.css'

import { router, setupRouter } from './router'
import { setupStore } from './stores'
import VXETable from 'vxe-table'
import 'vxe-table/lib/style.css'
// import  setVxeTable from './plugins/vxe-table/index'
import App from './App.vue'
import { setupRouterGuard } from './router/guard'

function bootstrap() {
  const app = createApp(App)

  // 初始化 Store
  setupStore(app)

  // 初始化路由
  setupRouter(app)

  // router-guard
  // 路由守卫
  setupRouterGuard(router)

  app.use(VXETable)

  app.mount('#app')
}

bootstrap()
