import { apiUserLogin } from '@/api/common/login'
import { message } from 'ant-design-vue'
import { reactive, ref } from 'vue'
import { useRouter } from 'vue-router'
import { useUserStore } from '@/stores/modules/user'

interface FormState {
  username: string
  password: string
  remember: boolean
}

export function useLoginPage() {
  const loading = ref(false)
  const loginFormState = reactive<FormState>({
    username: 'ceshi',
    password: '123',
    remember: false
  })
  const router = useRouter()
  const userStore = useUserStore()

  const handleLogin = async () => {
    loading.value = true
    try {
      userStore.login(loginFormState)
    } catch (e) {
      Promise.reject(e)
    }
  }

  return {
    loginFormState,
    loading,
    handleLogin
  }
}
